// DXFWriterDlg.h : header file
//

#pragma once

#include "OpenGLControl.h"

#define ZOOM 50

// CDXFWriterDlg dialog
class CDXFWriterDlg : public CDialog
{
private:
	COpenGLControl m_oglWindow;
	int OpenGLToAutoCADColor(float * color);
	int GetLayerFromColor(float * color);
// Construction
public:
	CDXFWriterDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_DXFWRITER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnBnClickedLine();
	afx_msg void OnBnClickedCircle();
	afx_msg void OnBnClickedPoliline();
	afx_msg void OnBnClickedRectangle();
	afx_msg void OnBnClickedLineloop();
	afx_msg void OnBnClickedLineStrip();
	afx_msg void OnBnClickedColorRed();
	afx_msg void OnBnClickedColorGreen();
	afx_msg void OnBnClickedColorBlue();
	afx_msg void OnBnClickedColorOrange();
	afx_msg void OnBnClickedColorWhite();
	afx_msg void OnBnClickedIdcColoryellow();
	afx_msg void OnBnClickedSave();
};
